Package org.apache.lucene.backward_codecs.lucene94

# Class Lucene94HnswVectorsReader

java.lang.Object
org.apache.lucene.codecs.KnnVectorsReader
org.apache.lucene.backward_codecs.lucene94.Lucene94HnswVectorsReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public final class Lucene94HnswVectorsReader extends KnnVectorsReader
Reads vectors from the index segments along with index data structures supporting KNN search.

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Method Summary

Modifier and Type
Method
Description
`void`
`checkIntegrity()`
`void`
`close()`
`ByteVectorValues`
`getByteVectorValues(String field)`
`FloatVectorValues`
`getFloatVectorValues(String field)`
`void`
`search(String field, byte[] target, KnnCollector knnCollector, Bits acceptDocs)`
`void`
`search(String field, float[] target, KnnCollector knnCollector, Bits acceptDocs)`

### Methods inherited from class org.apache.lucene.codecs.KnnVectorsReader

`getMergeInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### checkIntegrity

public void checkIntegrity() throws IOException

Specified by:
  `checkIntegrity` in class `KnnVectorsReader`
Throws:
  `IOException`

### getFloatVectorValues

public FloatVectorValues getFloatVectorValues(String field) throws IOException

Specified by:
  `getFloatVectorValues` in class `KnnVectorsReader`
Throws:
  `IOException`

### getByteVectorValues

public ByteVectorValues getByteVectorValues(String field) throws IOException

Specified by:
  `getByteVectorValues` in class `KnnVectorsReader`
Throws:
  `IOException`

### search

public void search(String field, float[] target, KnnCollector knnCollector, Bits acceptDocs) throws IOException

Specified by:
  `search` in class `KnnVectorsReader`
Throws:
  `IOException`

### search

public void search(String field, byte[] target, KnnCollector knnCollector, Bits acceptDocs) throws IOException

Specified by:
  `search` in class `KnnVectorsReader`
Throws:
  `IOException`

### close

public void close() throws IOException

Throws:
  `IOException`